module Logistics
  module Core
    class CarrierAgentsController < ApplicationController

      def index
        @carrierAgents = CarrierAgent.all
        carrier_agent_array = []
        @carrierAgents.each { |ca|
          carrier_agent_array.push({ :id => ca.id, :name => ca.carrier.name+' '+ca.agent.name})
        }
        @response = Mks::Common::MethodResponse.new(true, nil, carrier_agent_array, nil, nil)
        render json: @response
      end

      def create
        carriers = params[:carrier_agents]
        if carriers.count > 0
          carrier = Carrier.find carriers[0][:carrier_id]
        end
        carriers.each do |c|
          agent = Agent.find c[:agent_id]
          carrier.agents << agent
        end

        carrier.save
        response = Mks::Common::MethodResponse.new(true, 'Agent(s) associated successfully !')
        render json: response
      end

      def carrier_agent_params
        params.permit(:carrier_agents => [:carrier_id, :agent_id])
      end
    end
  end
end
