require_dependency 'application_controller'

module Logistics
  module Core
    class CustomsOfficesController < ApplicationController
      include ControllerCommon

      def index
        customs_offices = CustomsOffice.all
        response = Mks::Common::MethodResponse.new(true, nil, customs_offices, nil, nil)
        render json: response
      end


      private

      def model_params
        params.require(:customs_office).permit(:code, :name, :location)
      end
    end
  end
end