module Logistics
  module Core
    class CommonDocument < ApplicationRecord
      belongs_to :document_type
      validates :document_type, presence: true, uniqueness: true

      delegate(:name, to: :document_type, prefix: true)
    end
  end
end