module Logistics::Core
  class ContractKilogramMinimumRate < ApplicationRecord
    belongs_to :chargeable_service_unit_of_charge
    belongs_to :contract
    belongs_to :transaction_type

    delegate(:name, to: :contract, prefix: true)
    delegate(:name, to: :transaction_type, prefix: true)
  end
end
