module Logistics
  module Core
    class CustomsOffice < ApplicationRecord
      validates :code, :name, presence: true, uniqueness: true

      def self.build(options = {})
        CustomsOffice.new(options)
      end
    end
  end
end