module Logistics
  module Core
    class Declarant < ApplicationRecord
      validates :first_name, :last_name, :number, presence: true
      validates :first_name, :uniqueness => { scope: [:last_name, :number] }

      def full_name
        "#{self.first_name} #{self.last_name}"
      end
    end
  end
end