module Logistics
  module Core
    class DeclarationType < ApplicationRecord
      belongs_to :transaction_type
      has_many :additional_documents, :as => :documentable
      delegate(:name, to: :transaction_type, prefix: true)

      validates :code, :name, :transaction_type, presence: true
    end
  end
end