module Logistics
  module Core
    class EquipmentServiceRate < ApplicationRecord
      validates :code, :name, :rate_hr, :rate_km, :effective_date, :valid_until, presence: true
      validates :code, uniqueness: {scope: [:code, :name, :effective_date, :valid_until]}
    end
  end
end