module Logistics
  module Core
    class ServiceIncrement < ApplicationRecord
      validates :code, :name, presence: true
      has_many :increment_rates
      has_many :addendums
      has_many :additions, :through => :addendums

      belongs_to :chargeable_service_unit_of_charge
    end
  end
end