module Logistics
  module Core
    class SpecialIncrementContainerRate < ApplicationRecord
      belongs_to :container_type
      validates :container_type, uniqueness: true, presence: true
      validates :rate, :effective_date, presence: true
      has_and_belongs_to_many :chargeable_service_unit_of_charges, :join_table=>:chargeable_service_container_type_rates
    end
  end
end