module Logistics
  module Core
    class SpecialIncrementContentRate < ApplicationRecord
      belongs_to :content_type
      validates :content_type, uniqueness: true, presence: true
      validates :rate, :effective_date, presence: true
      has_and_belongs_to_many :chargeable_service_unit_of_charges, :join_table=>:chargeable_service_content_type_rates
    end
  end
end