module Logistics
  module Core
    class OfferRequestSerializer < ActiveModel::Serializer
      attributes :id, :request_no, :transaction_type_id, :transaction_type_name, :status, :client_id, :client_name,
                 :communication_channel_id, :communication_channel_name, :source_detail, :point_of_recipient,
                 :date_of_recipient, :general_remark, :freight_forwarding, :customs_clearing, :transport, :rate_level,
                 :security_status, :operation_type_id, :operation_type_name, :no_of_items, :no_of_convoy, :is_bulk,
                 :contract_id, :contract_number
    end
  end
end