class CreateLogisticsCoreAddendums < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_addendums do |t|
      t.references :service_increment, index: { name: 'add_on_si_indx' }
      t.references :addition, index: { name: 'add_on_addition_indx' }

      t.timestamps
    end

    add_foreign_key :logistics_core_addendums, :logistics_core_service_increments, :column => :service_increment_id,
                    :name => 'fk_addendum_service_increments'
    add_foreign_key :logistics_core_addendums, :logistics_core_service_increments, :column => :addition_id,
                    :name => 'fk_addendum_additions'
  end
end
