class CreateLogisticsCoreDemurrageRatePeriods < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_demurrage_rate_periods do |t|
      t.references :carrier_agent, index: { name: 'drp_on_ca_indx' }
      t.integer :from
      t.integer :to
      t.string :rate_period

      t.timestamps
    end

    add_foreign_key :logistics_core_demurrage_rate_periods, :logistics_core_carrier_agents, :column => :carrier_agent_id
  end
end
