class CreateLogisticsCoreTruckTypeBbWeightRanges < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_truck_type_bb_weight_ranges do |t|
      t.references :weight_range, index: { name: 'ttbbwr_on_wr_indx' }
      t.references :break_bulk_truck_assignment, index: { name: 'ttbbwr_on_bbta_indx' }

      t.timestamps
    end
    add_foreign_key :logistics_core_truck_type_bb_weight_ranges, :logistics_core_weight_ranges,
                    :column => :weight_range_id
    add_foreign_key :logistics_core_truck_type_bb_weight_ranges, :logistics_core_break_bulk_truck_assignments,
                    :column => :break_bulk_truck_assignment_id
  end
end
