class CreateLogisticsCoreBroadGaugeCnts < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_broad_gauge_cnts do |t|
      t.references :container_size, index: { name: 'bgc_on_cs_indx' }
      t.references :container_type, index: { name: 'bgc_on_ct_indx' }
      t.float :length
      t.float :width
      t.float :height
      t.float :actual_weight

      t.timestamps
    end

    add_foreign_key :logistics_core_broad_gauge_cnts, :logistics_core_lookups, :column => :container_size_id
    add_foreign_key :logistics_core_broad_gauge_cnts, :logistics_core_lookups, :column => :container_type_id
  end
end
