class CreateLogisticsCoreChargeableServiceIncrements < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_chargeable_service_increments do |t|
      t.references :chargeable_service_unit_of_charge, index: { name: 'csi_on_csuoc_indx' }
      t.references :service_increment, index: { name: 'csi_on_si_indx' }

      t.timestamps
    end

    add_foreign_key :logistics_core_chargeable_service_increments, :logistics_core_chargeable_service_unit_of_charges,
                    :column => :chargeable_service_unit_of_charge_id
    add_foreign_key :logistics_core_chargeable_service_increments, :logistics_core_service_increments,
                    :column => :service_increment_id
  end
end
