class CreateLogisticsCoreTransporters < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_transporters do |t|
      t.string :name
      t.string :postal_code
      t.string :city
      t.references :country, index: { name: 'transporter_on_country_indx' }
      t.string :telephone
      t.string :fax
      t.string :email
      t.string :contact_person
      t.string :contact_telephone

      t.timestamps
    end

    add_foreign_key :logistics_core_transporters, :logistics_core_lookups, :column => :country_id
  end
end
