class CreateLogisticsCoreContractKilogramRates < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_contract_kilogram_rates do |t|
      t.references :client_contract, index: { name: 'ckr_on_cc_indx' }
      t.float :from
      t.boolean :in_contract
      t.float :margin
      t.float :rate
      t.float :to

      t.timestamps
    end

    add_foreign_key :logistics_core_contract_kilogram_rates, :logistics_core_client_contracts, :column => :client_contract_id
  end
end
