class MoveFieldsFromOperationToOfferRequest < ActiveRecord::Migration[5.0]
  def change
    add_column :logistics_core_offer_requests, :client_id, :integer
    add_column :logistics_core_offer_requests, :freight_forwarding, :boolean
    add_column :logistics_core_offer_requests, :customs_clearing, :boolean
    add_column :logistics_core_offer_requests, :transport, :boolean
    add_column :logistics_core_offer_requests, :operation_type_id, :integer
    add_column :logistics_core_offer_requests, :transaction_type_id, :integer
    add_column :logistics_core_operations, :offer_request_id, :integer
    remove_column :logistics_core_operations, :client_id, :integer
    remove_column :logistics_core_operations, :freight_forwarding, :boolean
    remove_column :logistics_core_operations, :customs_clearing, :boolean
    remove_column :logistics_core_operations, :transport, :boolean
    remove_column :logistics_core_operations, :operation_type_id, :integer
    remove_column :logistics_core_operations, :transaction_type_id, :integer
  end
end
