class CreateLogisticsCoreDeclarationTypes < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_declaration_types do |t|
      t.string :code, null: false, unique: true
      t.string :name, null: false
      t.references :transaction_type, index: { name: 'dt_on_tt_indx' }

      t.timestamps
    end

    add_foreign_key :logistics_core_declaration_types, :logistics_core_lookups, :column => :transaction_type_id
  end
end
