class MoveOperationDetailFieldsToOperation < ActiveRecord::Migration[5.0]
  def change
    add_column :logistics_core_operations, :declarant_id, :integer
    add_column :logistics_core_operations, :declaration_type_id, :integer
    add_column :logistics_core_operations, :transport_mode_id, :integer
    add_column :logistics_core_operations, :customs_office_id, :integer
    add_column :logistics_core_operations, :customs_office_unit_id, :integer
    add_column :logistics_core_operations, :country_of_origin_id, :integer
    add_column :logistics_core_operations, :acquisition_mode_id, :integer
    add_column :logistics_core_operations, :payment_term_id, :integer
    add_column :logistics_core_operations, :delivery_term_id, :integer
    add_column :logistics_core_operations, :container_arrangement_id, :integer
    add_column :logistics_core_operations, :customs_transport_tariff_id, :integer
    add_column :logistics_core_operations, :esl_transport_tariff_id, :integer
    add_column :logistics_core_operations, :warehouse_id, :integer

    add_column :logistics_core_operations, :trade_license_number, :string
    add_column :logistics_core_operations, :tin_number, :string
    add_column :logistics_core_operations, :t_number, :string, null: true
    add_column :logistics_core_operations, :investment_license_number, :string
    add_column :logistics_core_operations, :load_level, :string
    add_column :logistics_core_operations, :is_transfer, :boolean
    add_column :logistics_core_operations, :transfer_name, :string
    add_column :logistics_core_operations, :transfer_tin_no, :string
    add_column :logistics_core_operations, :transport_modality, :string
  end

end
