class AddForeignKeyToOfferRequest < ActiveRecord::Migration[5.0]
  def change
    add_foreign_key :logistics_core_offer_requests, :logistics_core_clients, :column => :client_id
    remove_column :logistics_core_offer_requests, :client_contract_id, :integer
    add_column :logistics_core_offer_requests, :contract_id, :integer
    add_foreign_key :logistics_core_offer_requests, :logistics_core_contracts, :column => :contract_id
  end
end
