class CreateLogisticsCoreOperationDocuments < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_operation_documents do |t|
      t.references :operation, index: { name: 'od_on_operation_indx' }
      t.string :document, null: false
      t.integer :original, null: false
      t.integer :copy, null: false
      t.integer :certified, null:false
      t.boolean :is_mandatory, null: false, default: false
      t.boolean :is_accepted, null: false, default: false
      t.string :source

      t.timestamps
    end
    add_foreign_key :logistics_core_operation_documents, :logistics_core_operations, :column => :operation_id
  end
end
