class CreateLogisticsCoreCommonDocuments < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_common_documents do |t|
      t.references :document_type, index: { name: 'dt_on_cd' }
      t.integer :original
      t.integer :copy
      t.integer :certified
      t.boolean :is_endorsed
      t.boolean :is_mandatory

      t.timestamps
    end

    add_foreign_key :logistics_core_common_documents, :logistics_core_document_types, :column => :document_type_id
  end
end
