class CreateLogisticsCoreAgencies < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_agencies do |t|
      t.string :code
      t.string :name
      t.string :telephone
      t.string :contact_person
      t.string :city
      t.string :subcity
      t.integer :woreda
      t.string :house_no
      t.string :email
      t.string :postal_code
      t.string :contact_telephone
      t.string :contact_email
      t.references :agency_category, index: { name: 'ac_on_agencies_indx' }

      t.timestamps
    end

    add_foreign_key :logistics_core_agencies, :logistics_core_extended_lookups, :column => :agency_category_id
  end
end
