class AddChargeableServiceToKgRate < ActiveRecord::Migration[5.1]
  def change
    add_column :logistics_core_contract_kilogram_rates, :chargeable_service_unit_of_charge_id, :integer
    add_column :logistics_core_contract_kilogram_rates, :transaction_type_id, :integer

    add_foreign_key :logistics_core_contract_kilogram_rates, :logistics_core_chargeable_service_unit_of_charges, column: :chargeable_service_unit_of_charge_id
    add_foreign_key :logistics_core_contract_kilogram_rates, :logistics_core_lookups, column: :transaction_type_id
  end
end
