class CreateLogisticsCoreContractServices < ActiveRecord::Migration[5.1]
  def change
    create_table :logistics_core_contract_services do |t|
      t.integer :contract_id
      t.integer :chargeable_service_unit_of_charge_id
      t.integer :chargeable_service_id
      t.integer :unit_of_charge_id
      t.integer :service_delivery_unit_id

      t.timestamps
    end
    add_foreign_key :logistics_core_contract_services, :logistics_core_contracts, column: :contract_id
    add_foreign_key :logistics_core_contract_services, :logistics_core_chargeable_service_unit_of_charges,
                    column: :chargeable_service_unit_of_charge_id
    add_foreign_key :logistics_core_contract_services, :logistics_core_chargeable_services, column: :chargeable_service_id
    add_foreign_key :logistics_core_contract_services, :logistics_core_service_delivery_units, column: :service_delivery_unit_id
  end
end
