class AddOptionalFieldsToOperation < ActiveRecord::Migration[5.1]
  def change
    add_column :logistics_core_operations, :free_days, :integer
    add_column :logistics_core_operations, :vessel_etd, :date
    add_column :logistics_core_operations, :vessel_eta, :date
    add_column :logistics_core_operations, :invoice_submitted_to_client_on, :date
    add_column :logistics_core_operations, :invoice_submitted_to_finance_on, :date
    add_column :logistics_core_operations, :demurrage,  :decimal
    add_column :logistics_core_operations, :storage, :decimal
    add_column :logistics_core_operations, :payment_settled_on, :date
    add_column :logistics_core_operations, :departure_on, :date
    add_column :logistics_core_operations, :arrival_on, :date
    add_column :logistics_core_operations, :remark, :string
    add_column :logistics_core_operations, :airway_bill_collected_from_airliner_on, :date
    add_column :logistics_core_operations, :airway_bill_delivered_to_client_on, :date
  end
end
