module Logistics
  module Core
    class Agent < ApplicationRecord
      validates :name, :email, :contact_telephone, presence: true
      validates :name, uniqueness: true
      has_many :carrier_agents
      has_many :carriers, :through => :carrier_agents
    end
  end
end