module Logistics
  module Core
    class Carrier < ApplicationRecord
      validates :name, presence: true, uniqueness: true
      validates :email, presence: true
      validates :carrier_type_id, presence: true
      belongs_to :carrier_type
      has_many :carrier_agents
      has_many :agents, :through => :carrier_agents
    end
  end
end