module Logistics
  module Core
    class Contract < ApplicationRecord
      validates :client_id, :contract_number, :title, :start_date, :end_date, presence: true
      belongs_to :client

      delegate(:name, to: :client, prefix: true, allow_nil: true)
    end
  end
end
