module Logistics
  module Core
    class Transporter < ApplicationRecord
      validates :name, presence: true, allow_blank: false
      validates :name, uniqueness: true

      belongs_to :country
      has_many :route_rates
    end
  end
end