module Logistics
  module Core
    class TruckTypeAssignment < ApplicationRecord
      validates :truck_type, presence: true, allow_blank: false

      belongs_to :container_size

      has_many :truck_type_cnt_weight_ranges

      def self.fetch_all
        result = []
        TruckTypeAssignment.all.each do |truck_type_assignment|
          result.push({id: truck_type_assignment.id,
                       container_size_id: truck_type_assignment.container_size_id,
                       container_size_name: truck_type_assignment.container_size.name,
                       truck_type: truck_type_assignment.truck_type})
        end
        return result
      end
    end
  end
end