module Logistics
  module Core
    class WithinCityRoute < Route
      validates :node_id, :zone, :radius, presence: true, allow_blank: false
      validates :node_id, uniqueness: {scope: [:node_id, :zone]}
    end
  end
end