module Logistics
  module Core
    class OperationSerializer < ActiveModel::Serializer
      attributes :id, :operation_number, :contract_number, :is_new_customer, :status, :offer_request_id, :declarant_id,
                 :declarant_full_name, :declaration_type_id, :declaration_type_name, :transport_mode_id,
                 :transport_mode_name, :customs_office_id, :customs_office_name, :customs_office_unit_id,
                 :customs_office_unit_name, :country_of_origin_id, :country_of_origin_name, :acquisition_mode_id,
                 :acquisition_mode_name, :payment_term_id, :payment_term_name, :delivery_term_id, :delivery_term_name,
                 :container_arrangement_id, :container_arrangement_name, :customs_transport_tariff_id,
                 :esl_transport_tariff_id, :warehouse_id, :warehouse_name, :trade_license_number, :tin_number, :t_number,
                 :investment_license_number, :load_level, :is_transfer, :transfer_name, :transfer_tin_no,
                 :transport_modality, :request_no, :created_at, :client_reference, :free_days, :vessel_etd,
                 :vessel_eta, :invoice_submitted_to_client_on, :invoice_submitted_to_finance_on, :demurrage, :storage,
                 :payment_settled_on, :departure_on, :arrival_on, :remark, :airway_bill_collected_from_airliner_on,
                 :airway_bill_delivered_to_client_on
    end
  end
end
