class CreateLogisticsCoreUnits < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_units do |t|
      t.string :name
      t.string :abbreviation
      t.references :unit_type, index: { name: 'units_on_ut_indx' }
      t.float :rate_to_base

      t.timestamps
    end

    add_foreign_key :logistics_core_units, :logistics_core_lookups, :column => :unit_type_id
  end
end
