class CreateLogisticsCoreServiceIncrements < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_service_increments do |t|
      t.string :code
      t.string :name
      t.boolean :has_increment
      t.references :chargeable_service_unit_of_charge, index: { name: 'si_on_csuoc_indx' }

      t.timestamps
    end

    add_foreign_key :logistics_core_service_increments, :logistics_core_chargeable_service_unit_of_charges,
                    :column => :chargeable_service_unit_of_charge_id
  end
end
