class CreateLogisticsCoreIncrementRates < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_increment_rates do |t|
      t.float :percent
      t.date :effective_date
      t.references :service_increment, index: { name: 'ir_on_si_indx'}

      t.timestamps
    end

    add_foreign_key :logistics_core_increment_rates, :logistics_core_service_increments, :column => :service_increment_id
  end
end
