class CreateLogisticsCoreCarriers < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_carriers do |t|
      t.string :name
      t.string :email
      t.string :contact_telephone
      t.references :carrier_type, index: true

      t.timestamps
    end

    add_foreign_key :logistics_core_carriers, :logistics_core_extended_lookups, :column => :carrier_type_id
  end
end
