class CreateLogisticsCoreWarehouseRatePeriods < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_warehouse_rate_periods do |t|
      t.references :warehouse, index: { name: 'wrp_on_wh_indx' }
      t.string :rate_period
      t.integer :from
      t.integer :to

      t.timestamps
    end
  end
end
