class CreateLogisticsCoreBroadGaugeBbs < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_broad_gauge_bbs do |t|
      t.references :break_bulk_unit, index: { name: 'bgbbs_on_bbu_indx' }
      t.float :length
      t.float :width
      t.float :height
      t.float :actual_weight

      t.timestamps
    end

    add_foreign_key :logistics_core_broad_gauge_bbs, :logistics_core_lookups, :column => :break_bulk_unit_id
  end
end
