class CreateLogisticsCoreServiceDeliveryUnitServices < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_service_delivery_unit_services do |t|
      t.references :service_delivery_unit, index: { name: 'sdus_on_sdu_indx' }
      t.references :chargeable_service, index: { name: 'sdus_on_cs_indx' }
      t.boolean :is_mandatory

      t.timestamps
    end

    add_foreign_key :logistics_core_service_delivery_unit_services, :logistics_core_service_delivery_units,
                    :column => :service_delivery_unit_id
    add_foreign_key :logistics_core_service_delivery_unit_services, :logistics_core_chargeable_services,
                    :column => :chargeable_service_id
  end
end
