class CreateLogisticsCoreClientContracts < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_client_contracts do |t|
      t.references :offer_request, index: { name: 'cc_on_or_indx' }
      t.string :title
      t.integer :status
      t.string :ref_no
      t.date :contract_date

      t.timestamps
    end

    add_foreign_key :logistics_core_client_contracts, :logistics_core_offer_requests, :column => :offer_request_id
  end
end
