class CreateLogisticsCoreTruckTypeAssignments < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_truck_type_assignments do |t|
      t.references :container_size, index: { name: 'tta_on_cs_indx' }
      t.float :truck_type

      t.timestamps
    end

    add_foreign_key :logistics_core_truck_type_assignments, :logistics_core_lookups, :column => :container_size_id
  end
end
