class CreateLogisticsCoreTruckTypeCntWeightRanges < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_truck_type_cnt_weight_ranges do |t|
      t.references :truck_type_assignment, index: { name: 'ttcwr_on_tta_indx' }
      t.references :weight_range, index: { name: 'ttcwr_on_wr_indx' }

      t.timestamps
    end

    add_foreign_key :logistics_core_truck_type_cnt_weight_ranges, :logistics_core_truck_type_assignments,
                    :column => :truck_type_assignment_id
    add_foreign_key :logistics_core_truck_type_cnt_weight_ranges, :logistics_core_weight_ranges, :column => :weight_range_id
  end
end
