class CreateLogisticsCoreTwentyFeetEquivalenceRatios < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_twenty_feet_equivalence_ratios do |t|
      t.references :container_size, index: { name: 'tfer_on_cs_indx' }
      t.float :ratio

      t.timestamps
    end

    add_foreign_key :logistics_core_twenty_feet_equivalence_ratios, :logistics_core_lookups, :column => :container_size_id
  end
end
