class CreateLogisticsCoreContracts < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_contracts do |t|
      t.string :contract_number
      t.string :title
      t.date :start_date
      t.date :end_date
      t.date :contract_signed_date
      t.integer :client_id

      t.timestamps
    end
    add_foreign_key :logistics_core_contracts, :logistics_core_clients, :column => :client_id
  end
end
