class AddContractToRateTable < ActiveRecord::Migration[5.0]
  def change
    remove_column :logistics_core_contract_rates, :client_contract_id, :integer
    remove_column :logistics_core_contract_break_bulk_unit_rates, :client_contract_id, :integer
    remove_column :logistics_core_contract_container_rates, :client_contract_id, :integer
    remove_column :logistics_core_contract_item_rates, :client_contract_id, :integer
    remove_column :logistics_core_contract_kilogram_rates, :client_contract_id, :integer
    add_column :logistics_core_contract_rates, :contract_id, :integer
    add_column :logistics_core_contract_break_bulk_unit_rates, :contract_id, :integer
    add_column :logistics_core_contract_container_rates, :contract_id, :integer
    add_column :logistics_core_contract_item_rates, :contract_id, :integer
    add_column :logistics_core_contract_kilogram_rates, :contract_id, :integer
    add_column :logistics_core_contract_rates, :margin, :float
    add_column :logistics_core_contract_break_bulk_unit_rates, :margin, :float
  end
end
