class CreateLogisticsCoreOperationSummaries < ActiveRecord::Migration[5.0]
  def change
    create_table :logistics_core_operation_summaries do |t|
      t.references :operation, index: true, null: false
      t.text :tax
      t.text :fact
      t.text :declaration

      t.timestamps
    end

    add_foreign_key :logistics_core_operation_summaries, :logistics_core_operations, :column => :operation_id
  end
end
