class AddOwnerIdToOperation < ActiveRecord::Migration[5.0]
  def change
    add_column :logistics_core_operations, :owner_id, :integer, null: true
    add_index :logistics_core_operations, :owner_id, name: 'operations_on_owner_indx'
    add_foreign_key :logistics_core_operations, :mks_auth_users, column: :owner_id
  end
end
