class CreateLogisticsCoreKilogramMinimumRates < ActiveRecord::Migration[5.1]
  def change
    create_table :logistics_core_kilogram_minimum_rates do |t|
      t.integer :chargeable_service_unit_of_charge_id
      t.integer :transaction_type_id
      t.float :minimum_price

      t.timestamps
    end
    add_foreign_key :logistics_core_kilogram_minimum_rates, :logistics_core_chargeable_service_unit_of_charges, column: :chargeable_service_unit_of_charge_id
    add_foreign_key :logistics_core_kilogram_minimum_rates, :logistics_core_lookups, column: :transaction_type_id

  end
end
